Bug 622602 - Xorg crashes after desktop paints (coredump included)
Summary: Xorg crashes after desktop paints (coredump included)
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmware   
(Show other bugs)
Version: 14
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-09 21:48 UTC by d. johnson
Modified: 2012-08-16 22:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 22:39:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
selinux avc's (58.93 KB, text/plain)
2010-08-09 21:48 UTC, d. johnson
no flags Details
dmesg output (65.67 KB, text/plain)
2010-08-09 21:49 UTC, d. johnson
no flags Details
messages output (82.55 KB, text/plain)
2010-08-09 21:49 UTC, d. johnson
no flags Details
secure file output (1.21 KB, text/plain)
2010-08-09 21:50 UTC, d. johnson
no flags Details
xorg log (24.64 KB, text/plain)
2010-08-09 21:50 UTC, d. johnson
no flags Details
rpm -qa --last output for reference. (85.59 KB, text/plain)
2010-08-09 22:15 UTC, d. johnson
no flags Details
booted to runlevel 3, 'setenforce 0', run startx, attach abrt output. (1011.17 KB, application/x-bzip2)
2010-08-09 22:16 UTC, d. johnson
no flags Details

Description d. johnson 2010-08-09 21:48:16 UTC
Created attachment 437711 [details]
selinux avc's

Description of problem:

xfce-x86_64-20100806.15

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot xfce-x86_64-20100806.15
2. wait for gdm to fail
3. power off forcibly, and boot to runlevel 3
4. run 'startx'
5. Click on 'f' menu.
6. collect logs
  
Actual results:

Desktop fully loads, and looks like it will work.  Click on menu, and it crashes.

376 AVC's, GDM failure, desktop fails once you click on menu.

Expected results:

0 AVCs, GDM and desktop should work.

Additional info:

Aug  9 21:30:05 localhost gnome-keyring-daemon[1597]: couldn't set environment variable in session: The name org.gnome.SessionManager was not provided by any .service files
Aug  9 21:30:06 localhost polkitd[1615]: started daemon version 0.96 using authority implementation `local' version `0.96'
Aug  9 21:30:15 localhost sedispatch: AVC Message for setroubleshoot, dropping message

Aug  9 21:30:06 localhost polkitd(authority=local): Registered Authentication Agent for session /org/freedesktop/ConsoleKit/Session2 (system bus name :1.24 [/usr/libexec/polkit-gnome-authentication-agent-1], object path /org/gnome/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)

Fatal server error:
[   680.985] Caught signal 11 (Segmentation fault). Server aborting

Comment 1 d. johnson 2010-08-09 21:49:03 UTC
Created attachment 437712 [details]
dmesg output

Comment 2 d. johnson 2010-08-09 21:49:24 UTC
Created attachment 437713 [details]
messages output

Comment 3 d. johnson 2010-08-09 21:50:01 UTC
Created attachment 437714 [details]
secure file output

Comment 4 d. johnson 2010-08-09 21:50:20 UTC
Created attachment 437715 [details]
xorg log

Comment 5 d. johnson 2010-08-09 21:53:35 UTC
Please let me know if you need any additional information, this problem is easily replicated with the CD or DVD installers:

      Fedora-14-x86_64-DVD.iso             03-Aug-2010 15:53  3.3G

Comment 6 d. johnson 2010-08-09 22:15:23 UTC
Created attachment 437719 [details]
rpm -qa --last output for reference.

Comment 7 d. johnson 2010-08-09 22:16:09 UTC
Created attachment 437720 [details]
booted to runlevel 3, 'setenforce 0', run startx, attach abrt output.

Comment 8 François Cami 2010-08-09 22:22:36 UTC
Looks good, thank you. Marking as Triaged.

--
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 d. johnson 2010-08-10 04:10:32 UTC
Pulling rpm from http://koji.fedoraproject.org/koji/taskinfo?taskID=2390659 makes startx work nicely from the above image.

xorg-x11-drv-vmware-11.0.1-1.fc15.x86_64.rpm 

Can this be pushed to F14-alpha ?

Comment 10 James Laska 2010-08-10 13:41:11 UTC
A F14 update is available that attempts to resolve this issue.  Please contribute test feedback to https://admin.fedoraproject.org/updates/xorg-x11-drv-vmware-11.0.1-1.fc14

Thanks!

Comment 11 Fedora End Of Life 2012-08-16 22:39:54 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.